@import url('https://fonts.googleapis.com/css2?family=Architects+Daughter&display=swap');
*{
    font-family: 'Architects Daughter', cursive;
}
body{
    background: #111118;
}
header{
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header a{
    margin-left: 10%;
}

header a img{
    width: 300px;
}

header div{
    color: white;
margin-right: 20%;
}


.content{
    margin: 10px 10%;
}

.content h2{
    color: white;
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
}

.content .subTitle{
    color: white;
    display: flex;
    justify-content: center;
    margin-bottom: 50px;
}

.content .submit{
    display: block;
    margin: 30px auto 50px auto;
    width: 92%;
    height: auto;
    background: #dc0046;
    color: white;
    border: 0;
    font-size: 28px;
}

.content input{
    margin-left: 8px;
    width: 170px;
    color: white;
    background: #111118;
    font-size: 23px;
    font-weight: bold;
    border: 0;
    border-bottom: 3px solid #dc0046;
}

.content .submit:hover{
    cursor: pointer;
    background-color: rgba(220, 0, 70, .5);
}

.content .succes{
    margin-top: 40px;
    display: flex;
    justify-content: center;
    padding: 20% 20%;
    box-shadow: 0 8px 20px 0 rgba(270, 0, 70, 0.9);
}

.content .succes h2{
    color: white;
}

.coupons{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.coupons .coupon{
    background: white;
    padding: 0 20px;
    width: 400px;
    height: min-content;
    margin: 10px 15px;
    box-shadow: 0 8px 20px 0 rgba(270, 0, 70, 0.9);
    transition: transform .4s ease-in-out;
    -ms-transition: -ms-transform .4s ease-in-out;
    -webkit-transition: -webkit-transform .4s ease-in-out;
}

.coupons .coupon:hover{
    background-color: rgba(220, 0, 70, .2);
    cursor: pointer;
    transform:rotate(3deg);
    -ms-transform:rotate(3deg);
    -webkit-transform:rotate(3deg);
}
.coupons .coupon:hover h3{
    color: white;
}

.coupons .active{
    background-color: rgba(220, 0, 70, .2);
    transform: rotate(3deg);
}

.coupons .active h3{
    color: white;
}

.coupons .coupon img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    height: auto;
}

.coupons .coupon .price{
   color: #dc0046;
}

@media screen and (max-width: 1230px){
    header a{
        margin-left: 4%;
    }

    header a img{
        width: 120px;
    }

    header div h1{
        font-size: 29px;
    }

    .content h2{
        font-size: 20px;
    }

    .coupons .coupon{
        padding: 0 20px;
        width: 250px;
        margin: 10px 15px;
        box-shadow: 0 8px 20px 0 rgba(270, 0, 70, 0.9);
    }
    .coupons .coupon img{
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 100%;
        height: auto;
    }
}

@media screen and (max-width: 980px){
    header{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
    }

    header div{
        margin-right: 0;
        display: flex;
        justify-content: center;
        width: 100%;
    }
    .coupons .coupon{
        padding: 0 20px;
        width: 120px;
        height: auto;
        margin: 10px 15px;
        box-shadow: 0 8px 20px 0 rgba(270, 0, 70, 0.9);
    }

    .coupons .coupon img{
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 100%;
        height: 120px;
    }

    .content input{
        margin-left: 8px;
        width: 270px;
        height: 30px;
    }
}